## usplash-theme-hp 0.1

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755


usplash-theme-hp.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-hp.c.o
	$(COMPILE) -shared -o $@ $^

usplash_1024_768.png: hpusplash.png
	convert $< +dither -resize 1024x768 gif:- | convert gif:- $@
usplash_1365_768.png: hpusplash.png
	convert $< +dither -resize 1365x768 gif:- | convert gif:- $@
usplash_1365_768_scaled.png: hpusplash.png
	convert $< +dither -resize 1024x768 gif:- | convert gif:- $@
usplash_640_400.png: hpusplash.png
	convert $< +dither -resize 640x400 gif:- | convert gif:- $@
usplash_640_480.png: hpusplash.png
	convert $< +dither -resize 640x480 gif:- | convert gif:- $@
usplash_800_600.png: hpusplash.png
	convert $< +dither -resize 800x600 gif:- | convert gif:- $@

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-hp.so $(DESTDIR)/usr/lib/usplash/usplash-theme-hp.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so usplash_*_*.png
