=== debian/changelog ===
usplash-theme-hp (0.1) hardy; urgency=low

  * Initial release

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 22 Jul 2008 16:15:40 +0200
