=== debian/control ===
Source: usplash-theme-hp
Priority: optional
Section: misc
Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick

Package: usplash-theme-hp
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Description: Usplash theme for Ubuntu
 Usplash theme for Ubuntu
