## usplash-theme-hp 0.2

=== debian/changelog ===
usplash-theme-hp (0.2) hardy; urgency=low

  * Fix update-alternatives priority to 100

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sat, 26 Jul 2008 03:01:37 +0800
