=== debian/changelog ===
usplash-theme-hp (0.3) hardy; urgency=low

  * Update images

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 29 Jul 2008 22:51:48 +0800
