## usplash-theme-hp 1.0

=== debian/changelog ===
usplash-theme-hp (1.0) hardy; urgency=low

  * Fix cmap problem

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Wed, 30 Jul 2008 10:41:03 +0000
