=== debian/changelog ===
usplash-theme-hp (1.1) hardy; urgency=low

  * Add updated splash image

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 10 Sep 2008 11:30:12 -0400
