=== debian/changelog ===
usplash-theme-hp (1.3) dennis; urgency=low

  * Fix usplash aspect ratio for HP branding on Bixby units (LP: #362394).

 -- Gary Lasker <gary.lasker@canonical.com>  Thu, 16 Apr 2009 19:41:09 -0400

usplash-theme-hp (1.2) dennis; urgency=low

  * Add ability to switch the usplash background image based
    on branding information in the /etc/brand file (part
    of LP: #348652).

 -- Gary Lasker <gary.lasker@canonical.com>  Sun, 29 Mar 2009 14:59:33 -0400
