=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usplash-theme-hp
 Priority: optional
 Section: misc
-Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
+Maintainer: Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick
