=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 clean:
 	dh_testdir
 	rm -f build-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 .PHONY: build install binary-indep binary-arch binary clean
